@charset "utf-8";
/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

body { font-family: "Montserrat", sans-serif; line-height:1.2; font-size:15px; color:#fff; background: #131723 url("../images/bg.jpg")no-repeat top center; background-size: cover;}

a { text-decoration: none; cursor:pointer; -webkit-transition: all 0.3s; -moz-transition: all 0.3s; -o-transition: all 0.3s; transition: all 0.3s; }

a:hover, a:focus, button:focus, button:hover { text-decoration: none; outline: none; }

img { max-width:100%;}

input[type="text"], input[type="email"], input[type="tel"], input[type="url"], input[type="password"], input[type="number"], textarea, select {
    color: #666;
    width: 100%;
}
button {
	background: none;
	border: none;
	padding: 0;
}
.t-body {
	overflow: hidden;
}
.deco {
	position: absolute;
}
.max-container {
	position: relative;
	max-width: 1200px;
	margin: 0 auto;
	padding: 0 10px;
}
.music-wrapper {
    position: fixed;
    z-index: 99;
    right: 0;
    bottom: 50px;
    opacity: 1;
    transition: 0.3s;
    overflow: hidden;
    height: 40px;
    width: 40px;
    background: #fff;
    border-radius: 10px 0 0 10px;
}
.music-wrapper audio {
    position: absolute;
    left: -6px;
    top: -7px;
}
audio:focus {
	outline: none;
}
#space {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    pointer-events: none;
}
.top-sec {
	background: url("../images/top-bg.png")no-repeat top center;
	background-size: 100%;
	position: relative;
	text-align: center;
	min-height: 100vh;
	padding: 15px 0 120px;
}
.title-top {
    position: relative;
    max-width: 1000px;
    margin: 0 auto -8%;
    z-index: 2;
}
.deco.gp1 {
    max-width: 34%;
    top: 29%;
    left: -5%;
	animation: float 2.1s ease-in-out infinite;
}
.deco.gp2 {
    right: 2%;
    top: 26%;
    max-width: 19%;
	animation: float 2s ease-in-out infinite;
}
.deco.fw1 {
    top: 41%;
    left: 12%;
    max-width: 22%;
    mix-blend-mode: screen;
	opacity: 0;
	animation: blink 2.3s ease-in-out infinite;
	animation-delay: 0.4s;
}
.deco.fw2 {
    right: 0%;
    top: 43%;
    max-width: 20%;
	opacity: 0;
	animation: blink 2.3s ease-in-out infinite;
	animation-delay: 0.8s;
}
@keyframes blink {
    0% {
        transform: scale(0.2);
		opacity: 0;
    }
    50% {
        transform: scale(1);
		opacity: 1;
    }
    100% {
        transform: scale(1);
		opacity: 0;
    }
}
@keyframes float {
    0% {
        transform: translatey(0px);
    }
    50% {
        transform: translatey(-12px);
    }
    100% {
        transform: translatey(0px);
    }
}
.token-wrap {
    position: relative;
    max-width: 440px;
    margin: 0 auto;
	z-index: 2;
}
.token-text {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 48px;
    font-weight: 700;
}
.event-wrapper {
    position: relative;
    max-width: 900px;
    margin: -24% auto 0;
}
.deco.lantern-1 {
    left: -13%;
    top: 13%;
    max-width: 9%;
	animation: float 2.2s ease-in-out infinite;
}
.deco.lantern-2 {
    right: -13%;
    top: 13%;
    max-width: 9%;
	animation: float 2.1s ease-in-out infinite;
}
.spin-container {
    position: absolute;
    width: 278px;
    height: 450px;
    margin: 0 auto;
    perspective: 4000px;
    left: 0;
    right: 0;
    top: 40%;
}
.carousel{
  position:absolute;
  width:100%;
  height:100%;
  transform-style:preserve-3d;
  /* REMOVE the default animation */
  /* animation: rotate360 60s infinite forwards linear; */
}
.front-img {
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
}
.carousel__face { 
  position: absolute;

  top: 20px;
  left: 10px;
  right: 10px;
  background-size: 100%;
  display: flex;
}

.carousel__face:nth-child(1) {
  transform: rotateY(  0deg) translateZ(430px); }
.carousel__face:nth-child(2) { 
  transform: rotateY( 40deg) translateZ(430px); }
.carousel__face:nth-child(3) {
  transform: rotateY( 80deg) translateZ(430px); }
.carousel__face:nth-child(4) {
  transform: rotateY(120deg) translateZ(430px); }
.carousel__face:nth-child(5) { 
 transform: rotateY(160deg) translateZ(430px); }
.carousel__face:nth-child(6) { 
 transform: rotateY(200deg) translateZ(430px); }
.carousel__face:nth-child(7) { 
 transform: rotateY(240deg) translateZ(430px); }
.carousel__face:nth-child(8) {
  transform: rotateY(280deg) translateZ(430px); }
.carousel__face:nth-child(9) {
  transform: rotateY(320deg) translateZ(430px); }

@keyframes rotate360 {
  from {
    transform: rotateY(0deg);
  }
  to {
    transform: rotateY(-360deg);
  }
}

/* Rotate ONLY when spinning */
.carousel.spinning{
  animation: rotate360 2s linear infinite; /* speed of spin (tweak if needed) */
}
button.spin-btn {
    position: absolute;
    left: 0;
    right: 0;
    bottom: -9%;
	z-index: 3;
	max-width: 285px;
	margin: 0 auto;
}
button.spin-btn:hover {
	transform: scale(0.98);
	filter: brightness(1.07);
}


/** Modal **/
button.close-x {
    position: absolute;
    right: 0;
    top: 0;
    color: #fff;
    z-index: 1;
}
.modal-dialog.reward {
	max-width: 700px;
}
.modal-content.reward {
    background: none;
    border: none;
}
.reward-box {
    position: relative;
    max-width: 700px;
    margin: 0 auto;
    text-align: center;
	cursor: pointer;
}
.prize {
    position: absolute;
    left: 0;
    right: 0;
    top: 19%;
    z-index: 3;
    font-size: 40px;
    color: #072a1d;
    font-weight: 800;
    text-shadow: 0 0 5px #fff, 0 0 10px #fff;
    filter: drop-shadow(0px 0px 11px #fff);
    opacity: 0;
    visibility: 0;
    transform: scale(0.3);
}
img.open {
	position: absolute;
	left: 0;
	right: 0;
	transition: 0.2s;
}
img.open {
    opacity: 0;
    visibility: hidden;
	transition: 0.2s;
}
.reward-box.active img.closed {
    opacity: 0;
    visibility: hidden;
	transition: 0.2s;
}
.reward-box.active img.open {
    opacity: 1;
    visibility: visible;
	transition: 0.2s;
}
.reward-box.active .prize {
	opacity: 1;
	visibility: visible;
	transform: scale(1);
	transition: 0.3s;
	transition-delay: 0.3s;
}


@media(max-width: 900px) {
.logo {
    max-width: 33%;
    margin: 0 auto;
}	
.event-wrapper {
    margin: -31% auto 0;
}	
.spin-container {
	width: 31%;
    height: 50vw;
    perspective: 440vw;
}		
.carousel__face:nth-child(1) {
  transform: rotateY(  0deg) translateZ(47vw); }
.carousel__face:nth-child(2) { 
  transform: rotateY( 40deg) translateZ(47vw); }
.carousel__face:nth-child(3) {
  transform: rotateY( 80deg) translateZ(47vw); }
.carousel__face:nth-child(4) {
  transform: rotateY(120deg) translateZ(47vw); }
.carousel__face:nth-child(5) { 
 transform: rotateY(160deg) translateZ(47vw); }
.carousel__face:nth-child(6) { 
 transform: rotateY(200deg) translateZ(47vw); }
.carousel__face:nth-child(7) { 
 transform: rotateY(240deg) translateZ(47vw); }
.carousel__face:nth-child(8) {
  transform: rotateY(280deg) translateZ(47vw); }
.carousel__face:nth-child(9) {
  transform: rotateY(320deg) translateZ(47vw); }	

button.spin-btn {
    max-width: 33%;
	bottom: -10%;
    margin: 0 auto;
}
}


@media(max-width: 767px) {
.music-wrapper {
    transform: scale(0.85);
    transform-origin: right top;
}	
.token-wrap {
    max-width: 57%;
}
.token-text {
    font-size: 6vw;
}
.prize {
    font-size: 6vw;
}	
}

@media(max-width: 480px) {
.music-wrapper {
    transform: scale(0.75);
}	
.top-sec {
    padding: 10px 0 25%;
}	
.spin-container {
	width: 34%;
}
button.spin-btn {
	max-width: 40%;
	bottom: -18%;
}	
	
}











